import type { HTMLAttributes } from "react";
export declare const SearchUserPickerContainer: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserItemContainer: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").GroupProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const UserPickerInput: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").TextInputProps & import("react").RefAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserPickerContent: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SearchUserSelectBox: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").StackProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SelectedUserButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
